Subject: RE: bug#9959: 24.0.90; `count-words' command from a narrowed buffer

From: "Drew Adams" <[email-masked]>
Date: Sun, 6 Nov 2011 09:30:31 -0800

> >  Narrowed/total: 112/1135 lines, 673/6894 words, 6074/70452 chars
> 
> This format is nice because it's compact.  Perhaps 
> information about the region should be added too when
> the region is active:
> 
> Region/narrowed/total: 5/112/1135 lines, 8/673/6894 words, 
> 45/6074/70452 chars

I assume you mean only in the case where the buffer is narrowed and you have an
active region within the restriction.

That would be OK.  But keep in mind that your example uses a small region and
restriction.  In general, the message could be a bit long.  With the same buffer
size, the message could have up to an additional 12 chars.

(The length wouldn't be a problem for me, because my minibuffer frame is as wide
as my screen, and I don't mind if a message wraps.  Just mentioning the
possibility.)